#ifndef _DJR_PADMANAGER_H_
#define _DJR_PADMANAGER_H_

#include "joypadlib/joypadlib.h"

// read the pad every 1/60th of a second
#define PAD_READ_RATE ( 1.f / 60.f )
// a key is considered pressed after this many repeats
#define KEYPRESS_TOLERANCE 3

void PadInit( void );
void PadUpdatePadData( void );
unsigned long PadIsButtonPressed( int iPad, unsigned int iButton );
void PadGetAnalogSticks( int iPad, int iRight,   
                         float *fX, float *fY, float *fVelY );
void PadShutdown( void );

#endif
