#ifndef _DJR_TIMERS_H_
#define _DJR_TIMERS_H_

#include "UsefulMacros.h"

#define TICKS_PER_SECOND ( 576000.f )

typedef struct
{
  unsigned char CLKS : 2;
  unsigned char GATE : 1;
  unsigned char GATS : 1;
  unsigned char GATM : 2;
  unsigned char ZRET : 1;
  unsigned char CUE : 1;
  unsigned char CMPE : 1;
  unsigned char OVFE : 1;
  unsigned char EQUF : 1;
  unsigned char OVFF : 1;
  unsigned int DUMMY: 20;
}TnMode;

void SetTimer( float fSeconds );
Bool DidTimerExpire( void );
float GetTimerInSeconds( void );

#endif
