#ifndef _DJR_MODEL_H_
#define _DJR_MODEL_H_

#include "sps2lib.h"

typedef struct
{
  bool m_bLoaded;
  int m_iNumPages;
  int m_iTexSlot;
  int m_iSPS2Descriptor;
  sps2Memory_t **m_pDMAChainPages;
}StaticModel_t;

void InitModel( StaticModel_t *pModel, int iSPS2Descriptor );
bool LoadDMAFile( StaticModel_t *pModel, char *sFileName, int iTexSlot );
void DumpModel( StaticModel_t *pModel );
void SetTextureSlot( StaticModel_t *pModel, int iTexSlot );
void RenderModel( StaticModel_t *pModel );

#endif
